%define         perlversion     5.10.0
%define         perlepoch       3

Distribution:	CCux
Packager:	Luke <luke@lionbit.com>

Name:      	xmltv
Version:   	0.5.50
Release:   	1
License: 	GNU/GPL
URL:		http://xmltv.org/wiki
Group:    	Multimedia
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	A set of utilities to manage your TV viewing
Requires:	perl-xmltv

%description 
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

%package -n perl-xmltv
Summary: Perl modules for managing your TV viewing.
Summary(de):   Eine Gruppe von Programmen zum Verwalten von TV-Programmen
Group: System/Libraries
Requires: perl-XML-Twig perl-Date-Manip perl-XML-Writer perl-Lingua-EN-Numbers-Ordinate
Requires: perl-Lingua-Preferred perl-Term-ProgressBar perl-Unicode-String
Requires: perl-XML-LibXML perl-IO-stringy
BuildRequires:	perl-XML-Writer perl-Lingua-EN-Numbers-Ordinate perl-Lingua-Preferred 
BuildRequires:	perl-Term-ProgressBar perl-Unicode-String perl-XML-Twig perl-TermReadKey
BuildRequires:	perl-IO-stringy

%description -n perl-xmltv
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains the perl modules from xmltv.

%package grabbers
Summary: Backends for xmltv
Summary(de): Backends für xmltv
Group: Multimedia
Requires: perl-Date-Manip perl-libwww-perl
Requires: perl-xmltv

%description grabbers
XMLTV is a set of utilities to manage your TV viewing. They work with
TV listings stored in the XMLTV format, which is based on XML. The
idea is to separate out the backend (getting the listings) from the
frontend (displaying them for the user), and to implement useful
operations like picking out your favourite programmes as filters that
read and write XML documents.

This package contains the backends (grabbers) for xmltv.

%prep 
%setup -n %{name}-%{version} 
  
%build 
yes | perl Makefile.PL PREFIX=/usr
make
  
%install 
rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install
ln -s tv_grab_de_tvtoday %{buildroot}%{_bindir}/tv_grab_de
rm -f %{buildroot}/usr/lib/perl5/%{perlversion}/*/perllocal.pod
rm -f %{buildroot}/usr/lib/perl5/site_perl/%{perlversion}/*/auto/XMLTV/.packlist
rm -rf %{buildroot}/usr/share/doc/xmltv-%{version}
mkdir -p %{buildroot}/var/adm/perl-modules/%{name}

%files 
%defattr(-,root,root,-)
%dir %{_datadir}/xmltv
%{_bindir}/tv_cat
%{_bindir}/tv_extractinfo_en
%{_bindir}/tv_grep
%{_bindir}/tv_imdb
%{_bindir}/tv_remove_some_overlapping
%{_bindir}/tv_sort
%{_bindir}/tv_split
%{_bindir}/tv_to_latex
%{_bindir}/tv_to_text
%{_bindir}/tv_to_potatoe
%{_bindir}/tv_find_grabbers
%{_bindir}/tv_validate_file
%{_bindir}/tv_validate_grabber
%{_mandir}/man1/tv_cat.1*
%{_mandir}/man1/tv_extractinfo_en.1*
%{_mandir}/man1/tv_grep.1*
%{_mandir}/man1/tv_imdb.1*
%{_mandir}/man1/tv_remove_some_overlapping.1*
%{_mandir}/man1/tv_sort.1*
%{_mandir}/man1/tv_split.1*
%{_mandir}/man1/tv_to_latex.1*
%{_mandir}/man1/tv_to_text.1*
%{_mandir}/man1/tv_to_potatoe.1*
%{_mandir}/man1/tv_find_grabbers.1.gz
%{_mandir}/man1/tv_validate_file.1.gz
%{_mandir}/man1/tv_validate_grabber.1.gz
%{_datadir}//xmltv/xmltv.dtd

%files -n perl-xmltv
%defattr(-,root,root,-)
%{perl_sitelib}/XMLTV.pm
%{perl_sitelib}/XMLTV
%{_mandir}/man3/*
/var/adm/perl-modules/%{name}

%files grabbers
%defattr(-,root,root,-)
%{_bindir}/tv_grab_*
%_mandir/man1/tv_grab_*.1*
%{_datadir}/xmltv/tv_grab*
   
%clean 
rm -rf $RPM_BUILD_ROOT 
   
%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.5.50-1
- Version Update
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.44-3
- altered groups
* Thu Oct 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.5.44-2
- little fixes in spec file
- add some rpmbuild dependencies
* Mon Oct 23 2006 Luke <luke@lionbit.com> 0.5.44-1 
- Initial Release
